com.google.appengine.tools.development.testing

## Class LocalTaskQueueTestConfig.DeferredTaskCallback

- java.lang.Object
- - com.google.appengine.tools.development.testing.LocalTaskQueueTestConfig.DeferredTaskCallback

- Direct Known Subclasses:
    LocalTaskQueueTestConfig.ServletInvokingTaskCallback
  Enclosing class:
    LocalTaskQueueTestConfig

      public static class LocalTaskQueueTestConfig.DeferredTaskCallback
      extends java.lang.Object

  A `LocalTaskQueueCallback` implementation that automatically detects and runs tasks with a `DeferredTask` payload. Requests with a payload that is not a `DeferredTask` are dispatched to `executeNonDeferredRequest(URLFetchServicePb.URLFetchRequest)`, which by default does nothing. If you need to handle a payload like this you can extend the class and override this method to do what you need.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeferredTaskCallback()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `execute(URLFetchServicePb.URLFetchRequest req)`
    `protected int` | `executeNonDeferredRequest(URLFetchServicePb.URLFetchRequest req)` Broken out to make it easy for subclasses to provide their own behavior when the request payload is not a `DeferredTask`.
    `void` | `initialize(java.util.Map<java.lang.String,java.lang.String> properties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeferredTaskCallback

          public DeferredTaskCallback()

  - ### Method Detail

    - #### initialize

          public void initialize(java.util.Map<java.lang.String,java.lang.String> properties)

    - #### execute

          public int execute(URLFetchServicePb.URLFetchRequest req)

    - #### executeNonDeferredRequest

          protected int executeNonDeferredRequest(URLFetchServicePb.URLFetchRequest req)

      Broken out to make it easy for subclasses to provide their own behavior when the request payload is not a `DeferredTask`.